org.springframework.cloud.dataflow.rest.client.dsl

## Class StreamApplication

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.dsl.StreamApplication

-     public class StreamApplication
      extends Object

  Represents an individual Stream Application, encapsulating name, `StreamApplication.ApplicationType`, label, application and deployment properties.
  Author:
    Vinicius Carvalho

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamApplication.ApplicationType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamApplication(String name)` Construct a new StreamApplication given the application name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StreamApplication` | `addDeploymentProperty(String key, Object value)`
    `StreamApplication` | `addProperties(Map<String,Object> properties)`
    `StreamApplication` | `addProperty(String key, Object value)`
    `boolean` | `equals(Object o)`
    `String` | `getDefinition()`
    `Map<String,Object>` | `getDeploymentProperties()`
    `String` | `getIdentity()`
    `String` | `getLabel()`
    `String` | `getName()`
    `Map<String,Object>` | `getProperties()`
    `StreamApplication.ApplicationType` | `getType()`
    `int` | `hashCode()`
    `StreamApplication` | `label(String label)`
    `String` | `toString()`
    `StreamApplication` | `type(StreamApplication.ApplicationType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamApplication

          public StreamApplication(String name)

      Construct a new StreamApplication given the application name.
      Parameters:
        `name` - The name of the application.

  - ### Method Detail

    - #### getName

          public String getName()

    - #### label

          public StreamApplication label(String label)

    - #### addProperty

          public StreamApplication addProperty(String key,
                                               Object value)

    - #### addDeploymentProperty

          public StreamApplication addDeploymentProperty(String key,
                                                         Object value)

    - #### addProperties

          public StreamApplication addProperties(Map<String,Object> properties)

    - #### getLabel

          public String getLabel()

    - #### getProperties

          public Map<String,Object> getProperties()

    - #### type

          public StreamApplication type(StreamApplication.ApplicationType type)

    - #### getDeploymentProperties

          public Map<String,Object> getDeploymentProperties()

    - #### getIdentity

          public String getIdentity()

      Returns:
        Returns the unique identity of an application in a Stream. This could be name or label: name

    - #### getDefinition

          public String getDefinition()

    - #### getType

          public StreamApplication.ApplicationType getType()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.